Bug 62859 - procmail puts slashes in filenames
Summary: procmail puts slashes in filenames
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: procmail (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-06 16:15 UTC by Need Real Name
Modified: 2007-04-18 16:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-08 15:49:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-04-06 16:15:45 UTC
Description of Problem:

http://www.procmail.org/procmail.HISTORY.html
2001/09/10: v3.22
Changes to procmail:
* maildir delivery included garbage in filenames

Version-Release number of selected component (if applicable):
procmail-3.21-1.i386.rpm

How Reproducible:
not sure, here is a block from my procmail log file:

From bugtraq-return-4335-georgw=galis.org@securityfocus.com  Wed Apr  3 19:22:02
2002
 Subject: Security bugs in PhpNuke
  Folder: securityfocus.0402/new/1017879723.32758_2.trot.haven.dom         2176
From owner-freebsd-chat@FreeBSD.ORG  Wed Apr  3 19:22:03 2002
 Subject: Re: Anti-Unix Site Runs Unix
  Folder: freebsd/new/1017879724.32765_0.trot.haven.dom                    6388
procmail: Couldn't create or rename temp file
"newmail/tmp/1017880087.354_2./trot.haven.dom"
From george@galis.org  Wed Apr  3 19:28:06 2002
 Subject: Re: photographers
  Folder: /hdb2/gx/Mail/newmail/new/1017880087.354_3.mtrot.haven.dom       2683
procmail: Couldn't create or rename temp file
"freebsd/tmp/1017880093.363_0./trot.haven.dom"
procmail: Couldn't create or rename temp file
"freebsd/tmp/1017880093.363_1./trot.haven.domtrot.haven.dom"
procmail: Couldn't create or rename temp file
"newmail/tmp/1017880094.363_0./trot.haven.domtrot.haven.domtrot.haven.dom"
From owner-freebsd-current@FreeBSD.ORG  Wed Apr  3 19:28:13 2002
 Subject: Re: comparing executables
  Folder: /hdb2/gx/Mail/newmail/new/1017880094.363_1.mtrot.haven.domtro    3010
From bugtraq-return-4346-georgw=galis.org@securityfocus.com  Wed Apr  3 19:28:14
2002
 Subject: iXsecurity.20020316.csadmin_dir.a
  Folder: securityfocus.0402/new/1017880095.367_2.trot.haven.dom           3338
procmail: Couldn't create or rename temp file
"newmail/tmp/1017880108.383_2./trot.haven.dom"
From henry_r@hotpop.com  Wed Apr  3 19:28:27 2002
 Subject: This should help...
  Folder: /hdb2/gx/Mail/newmail/new/1017880108.383_3.mtrot.haven.dom       7273
procmail: Couldn't create or rename temp file
"freebsd/tmp/1017880466.431_0./trot.haven.dom"
procmail: Couldn't create or rename temp file
"freebsd/tmp/1017880466.431_1./trot.haven.domtrot.haven.dom"
procmail: Couldn't create or rename temp file
"newmail/tmp/1017880467.431_0./trot.haven.domtrot.haven.domtrot.haven.dom"


Actual Results:
procmail delivers to default mailbox (maildir)

Expected Results:
procmail tries to filter mail to a maildir

Additional Information:

Comment 1 Trond Eivind Glomsrxd 2002-04-08 15:16:40 UTC
How does the configuration look? Can you see if the procmail in the skipjack
beta (just install it on your existing system) works?

Comment 2 Need Real Name 2002-04-08 15:49:53 UTC
I should have mentioned before, my configuration worked fine @150 messages a
day. When I subscribed to a bunch of FreeBSD lists I was filtering @500 messages
a day. That worked fine. A few weeks later with no change to my procmailrc (see
below) garbage (slashes) appeared in filenames and mail got dropped in the
default folder (as described above).

LOGFILE=$HOME/.procmail-logfile
MAILDIR=$HOME/Mail
DEFAULT=$MAILDIR/newmail/

:0
* ^List-ID.*FreeBSD.ORG
freebsd/

It's difficult to reproduce/test the problem. When it happened before, rebooting
would fix it for a while. Since I compiled the current procmail (procmail v3.22
2001/09/10) I've not seen the problem. I don't know what procmail version is in
skipjack, but I suggest you contact procmail.org on what caused the bug or tips
to reproduce it (since it's in their bug fix history)... update supported
versions and use the current version in slipjack! Thanks.


Comment 3 Trond Eivind Glomsrxd 2002-04-08 20:36:04 UTC
Procmail isn't run continuously, so it seems strange that a reboot would solve
anyting - also that volume would have anything to do with t.... anyway, current
procmail is procmail-3.22-5, so I'll close this.

Comment 4 Mike Schiraldi 2002-06-05 17:43:37 UTC
Just wanted to let you know that i saw this problem too:

procmail: Couldn't create or rename temp file
"INBOX/tmp/1023298272.738_1.8_0.l/procmail.log for raldi,
tron.admin.cto.netsol.comtron.admin.cto.netsol.com"

I have no idea why it'd want to put the procmail.log there, since my .procmailrc
says:

LOGFILE=/home/raldi/mail/procmail.log

They must have forgotten to zeroize a buffer. I've upgraded procmail and haven't
seen the problem since.

Comment 5 Anders Nielsen 2003-07-10 10:11:57 UTC
I am having this problem too. I am also running Redhat 7.2, but only on one of
my users account (from what i can tell).

I will upgrade procmail to the version from Redhat 7.3, and see if it helps.




Note You need to log in before you can comment on or make changes to this bug.